Bug 176917 - akregator crashed while switching tabs
Summary: akregator crashed while switching tabs
Status: RESOLVED UNMAINTAINED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 1.4.1
Platform: Ubuntu Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 201280 209942 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-04 21:01 UTC by Peter Sabaini
Modified: 2017-01-08 00:09 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Sabaini 2008-12-04 21:01:48 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    Ubuntu Packages

Backtrace:

Application: Akregator (akregator), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb53aa8d0 (LWP 11266)]
[New Thread 0xac248b90 (LWP 2318)]
[KCrash handler]
#6  Akregator::FrameManager::openUrl (this=0x9bcfbf8, request=@0xbf94d9f4)
    at /build/buildd/kdepim-4.1.3/akregator/src/framemanager.cpp:239
#7  0xb3ca97f3 in Akregator::FrameManager::slotFoundMimeType (this=0x9bcfbf8, 
    request=@0x10b1eec0)
    at /build/buildd/kdepim-4.1.3/akregator/src/framemanager.cpp:276
#8  0xb3caae3d in Akregator::FrameManager::qt_metacall (this=0x9bcfbf8, 
    _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbf94db2c)
    at /build/buildd/kdepim-4.1.3/obj-i486-linux-gnu/akregator/src/framemanager.moc:163
#9  0xb7f4ba60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb7f4c7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb3c99d43 in Akregator::BrowserRun::signalFoundMimeType (
    this=0x10b1eeb0, _t1=@0x10b1eec0)
    at /build/buildd/kdepim-4.1.3/obj-i486-linux-gnu/akregator/src/browserrun.moc:79
#12 0xb3c99e9c in Akregator::BrowserRun::foundMimeType (this=0x10b1eeb0, 
    type=@0xbf94dbec)
    at /build/buildd/kdepim-4.1.3/akregator/src/browserrun.cpp:48
#13 0xb65e2b39 in KRun::mimeTypeDetermined (this=0x10b1eeb0, 
    mimeType=@0xbf94dbec)
    at /build/buildd/kde4libs-4.1.3/kio/kio/krun.cpp:1123
#14 0xb7860b14 in KParts::BrowserRun::slotBrowserMimetype (this=0x10b1eeb0, 
    _job=0x109cb370, type=@0xbf94dfa0)
    at /build/buildd/kde4libs-4.1.3/kparts/browserrun.cpp:222
#15 0xb7860e4e in KParts::BrowserRun::qt_metacall (this=0x10b1eeb0, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbf94dd38)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kparts/browserrun.moc:73
#16 0xb3c99d8a in Akregator::BrowserRun::qt_metacall (this=0x10b1eeb0, 
    _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbf94dd38)
    at /build/buildd/kdepim-4.1.3/obj-i486-linux-gnu/akregator/src/browserrun.moc:63
#17 0xb7f4ba60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#18 0xb7f4c7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#19 0xb6566659 in KIO::TransferJob::mimetype (this=0x109cb370, 
    _t1=0x109cb370, _t2=@0xbf94dfa0)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/jobclasses.moc:384
#20 0xb65671c2 in KIO::TransferJob::slotMimetype (this=0x109cb370, 
    type=@0xbf94dfa0) at /build/buildd/kde4libs-4.1.3/kio/kio/job.cpp:1112
#21 0xb65750dd in KIO::TransferJob::qt_metacall (this=0x109cb370, 
    _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbf94de5c)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/jobclasses.moc:339
#22 0xb7f4ba60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#23 0xb7f4c7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#24 0xb6633a43 in KIO::SlaveInterface::mimeType (this=0xf6ab158, 
    _t1=@0xbf94dfa0)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/slaveinterface.moc:263
#25 0xb663760c in KIO::SlaveInterface::dispatch (this=0xf6ab158, _cmd=21, 
    rawdata=@0xbf94dfe4)
    at /build/buildd/kde4libs-4.1.3/kio/kio/slaveinterface.cpp:284
#26 0xb66346a7 in KIO::SlaveInterface::dispatch (this=0xf6ab158)
    at /build/buildd/kde4libs-4.1.3/kio/kio/slaveinterface.cpp:90
#27 0xb66246cd in KIO::Slave::gotInput (this=0xf6ab158)
    at /build/buildd/kde4libs-4.1.3/kio/kio/slave.cpp:322
#28 0xb6627113 in KIO::Slave::qt_metacall (this=0xf6ab158, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf94e0f8)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/slave.moc:75
#29 0xb7f4ba60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#30 0xb7f4c7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#31 0xb65348f7 in KIO::Connection::readyRead (this=0x1094bae8)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/connection.moc:84
#32 0xb65369c9 in KIO::ConnectionPrivate::dequeue (this=0xceb3978)
    at /build/buildd/kde4libs-4.1.3/kio/kio/connection.cpp:82
#33 0xb6536b56 in KIO::Connection::qt_metacall (this=0x1094bae8, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xc4d6d80)
    at /build/buildd/kde4libs-4.1.3/obj-i486-linux-gnu/kio/connection.moc:72
#34 0xb7f44bfb in QMetaCallEvent::placeMetaCall ()
   from /usr/lib/libQtCore.so.4
#35 0xb7f46771 in QObject::event () from /usr/lib/libQtCore.so.4
#36 0xb6eb18ec in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#37 0xb6eb976e in QApplication::notify () from /usr/lib/libQtGui.so.4
#38 0xb7a38b2d in KApplication::notify (this=0xbf94e8a4, receiver=0x1094bae8, 
    event=0xc4c73a8)
    at /build/buildd/kde4libs-4.1.3/kdeui/kernel/kapplication.cpp:311
#39 0xb7f36e61 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#40 0xb7f37ae5 in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#41 0xb7f37cdd in QCoreApplication::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#42 0xb7f6182f in ?? () from /usr/lib/libQtCore.so.4
#43 0xb6a776f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#44 0xb6a7ada3 in ?? () from /usr/lib/libglib-2.0.so.0
#45 0xb6a7af61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#46 0xb7f61478 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#47 0xb6f4bee5 in ?? () from /usr/lib/libQtGui.so.4
#48 0xb7f3552a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#49 0xb7f356ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#50 0xb7f37da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#51 0xb6eb1767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#52 0x0804eaf7 in main (argc=0, argv=0x9f238d0)
    at /build/buildd/kdepim-4.1.3/akregator/src/main.cpp:115
#0  0xb804d430 in __kernel_vsyscall ()
Comment 1 Daniel Franke 2008-12-16 12:44:15 UTC
Same here on Gentoo (4.1.3).
Identical backtrace.
Comment 2 Jaime Torres 2009-01-09 17:05:43 UTC
The same bug in kde 4.1.87 64 bits.

The only unusual thing that happened before the crash was that I (think I) pressed in a link in a page and it did not go that page. Then select the rss... crash.

Aplicación: Akregator (akregator), señal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
0x00007f5096a56ce1 in nanosleep () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f509c5fb750 (LWP 5471))]

Thread 1 (Thread 0x7f509c5fb750 (LWP 5471)):
[KCrash Handler]
#5  Akregator::FrameManager::openUrl (this=0x84d810, request=@0x1bf8d80) at /usr/src/debug/kdepim-4.1.87/akregator/src/framemanager.cpp:250
#6  0x00007f508898a1e1 in Akregator::FrameManager::qt_metacall (this=0x84d810, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa465f030)
    at /usr/src/debug/kdepim-4.1.87/build/akregator/src/framemanager.moc:157
#7  0x00007f509885ad2a in QMetaObject::activate (sender=0x1bf8d60, from_signal_index=<value optimized out>, to_signal_index=15, argv=0x7d2b80) at kernel/qobject.cpp:3036
#8  0x00007f508897b352 in Akregator::BrowserRun::signalFoundMimeType (this=0x9e5cf0, _t1=<value optimized out>) at /usr/src/debug/kdepim-4.1.87/build/akregator/src/browserrun.moc:79
#9  0x00007f508897b468 in Akregator::BrowserRun::foundMimeType (this=0x1bf8d60, type=@0x7fffa465f0d0) at /usr/src/debug/kdepim-4.1.87/akregator/src/browserrun.cpp:49
#10 0x00007f5099b5e6e2 in KRun::mimeTypeDetermined (this=0x9e5cf0, mimeType=@0x2) at /usr/src/debug/kdelibs-4.1.87/kio/kio/krun.cpp:1125
#11 0x00007f509c23309b in KParts::BrowserRun::redirectToError (this=0x1bf8d60, error=<value optimized out>, errorText=<value optimized out>) at /usr/src/debug/kdelibs-4.1.87/kparts/browserrun.cpp:520
#12 0x00007f509c2343b7 in KParts::BrowserRun::handleError (this=0x1bf8d60, job=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/kparts/browserrun.cpp:489
#13 0x00007f509c233f10 in KParts::BrowserRun::slotBrowserScanFinished (this=0x1bf8d60, job=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/kparts/browserrun.cpp:188
#14 0x00007f509c234054 in KParts::BrowserRun::qt_metacall (this=0x1bf8d60, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffa465f390) at /usr/src/debug/kdelibs-4.1.87/build/kparts/browserrun.moc:72
#15 0x00007f508897b385 in Akregator::BrowserRun::qt_metacall (this=0x9e5cf0, _c=QMetaObject::WriteProperty, _id=2, _a=0x7d2b80) at /usr/src/debug/kdepim-4.1.87/build/akregator/src/browserrun.moc:63
#16 0x00007f509885ad2a in QMetaObject::activate (sender=0x18a0360, from_signal_index=<value optimized out>, to_signal_index=7, argv=0x7d2b80) at kernel/qobject.cpp:3036
#17 0x00007f5098e7b552 in KJob::result (this=0x9e5cf0, _t1=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/build/kdecore/kjob.moc:186
#18 0x00007f5098e7b8cf in KJob::emitResult (this=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/kdecore/jobs/kjob.cpp:294
#19 0x00007f5099af8900 in KIO::SimpleJob::slotFinished (this=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/kio/kio/job.cpp:489
#20 0x00007f5099af9e93 in KIO::TransferJob::slotFinished (this=0x18a0360) at /usr/src/debug/kdelibs-4.1.87/kio/kio/job.cpp:957
#21 0x00007f5099af4fa7 in KIO::SimpleJob::slotError (this=0x18a0360, err=<value optimized out>, errorText=@0x7fffa465fa20) at /usr/src/debug/kdelibs-4.1.87/kio/kio/job.cpp:501
#22 0x00007f5099af51a2 in KIO::SimpleJob::qt_metacall (this=0x18a0360, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa465f860)
    at /usr/src/debug/kdelibs-4.1.87/build/kio/jobclasses.moc:155
#23 0x00007f5099afad85 in KIO::TransferJob::qt_metacall (this=0x9e5cf0, _c=QMetaObject::WriteProperty, _id=2, _a=0x7d2b80) at /usr/src/debug/kdelibs-4.1.87/build/kio/jobclasses.moc:324
#24 0x00007f509885ad2a in QMetaObject::activate (sender=0x16328c0, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x7d2b80) at kernel/qobject.cpp:3036
#25 0x00007f5099ba01b6 in KIO::SlaveInterface::error (this=0x9e5cf0, _t1=123, _t2=<value optimized out>) at /usr/src/debug/kdelibs-4.1.87/build/kio/slaveinterface.moc:151
#26 0x00007f5099ba29e4 in KIO::SlaveInterface::dispatch (this=0x16328c0, _cmd=102, rawdata=<value optimized out>) at /usr/src/debug/kdelibs-4.1.87/kio/kio/slaveinterface.cpp:208
#27 0x00007f5099ba05a2 in KIO::SlaveInterface::dispatch (this=0x16328c0) at /usr/src/debug/kdelibs-4.1.87/kio/kio/slaveinterface.cpp:91
#28 0x00007f5099b93a4e in KIO::Slave::gotInput (this=0x16328c0) at /usr/src/debug/kdelibs-4.1.87/kio/kio/slave.cpp:322
#29 0x00007f5099b93d58 in KIO::Slave::qt_metacall (this=0x16328c0, _c=QMetaObject::InvokeMetaMethod, _id=25816688, _a=0x7fffa465fbb0) at /usr/src/debug/kdelibs-4.1.87/build/kio/slave.moc:75
#30 0x00007f509885ad2a in QMetaObject::activate (sender=0x1d82d80, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x7d2b80) at kernel/qobject.cpp:3036
#31 0x00007f5099acb341 in KIO::ConnectionPrivate::dequeue (this=0x11de680) at /usr/src/debug/kdelibs-4.1.87/kio/kio/connection.cpp:82
#32 0x00007f5099acb9ea in KIO::Connection::qt_metacall (this=0x1d82d80, _c=QMetaObject::InvokeMetaMethod, _id=25816688, _a=0x1994ad0) at /usr/src/debug/kdelibs-4.1.87/build/kio/connection.moc:72
#33 0x00007f50988559d5 in QObject::event (this=0x1d82d80, e=0xb68760) at kernel/qobject.cpp:1154
#34 0x00007f509761cccd in QApplicationPrivate::notify_helper (this=0x643c60, receiver=0x1d82d80, e=0xb68760) at kernel/qapplication.cpp:3803
#35 0x00007f5097624aaa in QApplication::notify (this=0x7fffa46605c0, receiver=0x1d82d80, e=0xb68760) at kernel/qapplication.cpp:3768
#36 0x00007f5099638afb in KApplication::notify (this=0x7fffa46605c0, receiver=0x1d82d80, event=0xb68760) at /usr/src/debug/kdelibs-4.1.87/kdeui/kernel/kapplication.cpp:307
#37 0x00007f5098846961 in QCoreApplication::notifyInternal (this=0x7fffa46605c0, receiver=0x1d82d80, event=0xb68760) at kernel/qcoreapplication.cpp:586
#38 0x00007f509884760a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x612180) at kernel/qcoreapplication.h:208
#39 0x00007f509886f143 in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:213
#40 0x00007f50900bc0db in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f50900bf8ad in ?? () from /usr/lib64/libglib-2.0.so.0
#42 0x00007f50900bfa6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#43 0x00007f509886edcf in QEventDispatcherGlib::processEvents (this=0x62d400, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:318
#44 0x00007f50976ad55f in QGuiEventDispatcherGlib::processEvents (this=0x9e5cf0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:197
#45 0x00007f5098845262 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -1536817872}) at kernel/qeventloop.cpp:142
#46 0x00007f50988453ed in QEventLoop::exec (this=0x7fffa4660570, flags={i = -1536817792}) at kernel/qeventloop.cpp:193
#47 0x00007f50988478cd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:851
#48 0x0000000000408887 in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdepim-4.1.87/akregator/src/main.cpp:115

Comment 3 Andreas Wenning Rangholm 2009-03-15 11:41:04 UTC
Just got the crash in kde 4.2.1.
On Ubuntu Intrepid 8.10
Clicked a link, nothing happened; clicked it again and it worked. When I tried to close that tab akregator crashed.

Application: Kontact (kontact), signal SIGSEGV
[Current thread is 0 (LWP 11903)]

Thread 2 (Thread 0xb0843b90 (LWP 11910)):
#0  0xb7f94430 in __kernel_vsyscall ()
#1  0xb5a15df1 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0xb5ce4150 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb5c146ae in ?? () from /usr/lib/libQtCore.so.4
#4  0xb534c50f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0xb5a1da0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb4ac96c0 (LWP 11903)):
[KCrash Handler]
#6  Akregator::FrameManager::openUrl (this=0x92c4970, request=@0xa7a6450) at /build/buildd/kdepim-4.2.1/akregator/src/framemanager.cpp:250
#7  0xaf31d897 in Akregator::FrameManager::qt_metacall (this=0x92c4970, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbff93ebc)
    at /build/buildd/kdepim-4.2.1/obj-i486-linux-gnu/akregator/src/framemanager.moc:157
#8  0xb5d19a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#9  0xb5d1a7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xaf30b413 in Akregator::BrowserRun::signalFoundMimeType (this=0xa7a6440, _t1=@0xa7a6450) at /build/buildd/kdepim-4.2.1/obj-i486-linux-gnu/akregator/src/browserrun.moc:79
#11 0xaf30b57c in Akregator::BrowserRun::foundMimeType (this=0xa7a6440, type=@0xbff93f7c) at /build/buildd/kdepim-4.2.1/akregator/src/browserrun.cpp:49
#12 0xb6fae090 in KRun::mimeTypeDetermined (this=0xa7a6440, mimeType=@0xbff93f7c) at /build/buildd/kde4libs-4.2.1a/kio/kio/krun.cpp:1129
#13 0xb711d3b7 in KParts::BrowserRun::slotBrowserMimetype (this=0xa7a6440, _job=0xa7d0418, type=@0xbff94330) at /build/buildd/kde4libs-4.2.1a/kparts/browserrun.cpp:222
#14 0xb711e67e in KParts::BrowserRun::qt_metacall (this=0xa7a6440, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbff940c8) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kparts/browserrun.moc:73
#15 0xaf30b45a in Akregator::BrowserRun::qt_metacall (this=0xa7a6440, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbff940c8)
    at /build/buildd/kdepim-4.2.1/obj-i486-linux-gnu/akregator/src/browserrun.moc:63
#16 0xb5d19a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#17 0xb5d1a7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#18 0xb6f33d39 in KIO::TransferJob::mimetype (this=0xa7d0418, _t1=0xa7d0418, _t2=@0xbff94330) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/jobclasses.moc:384
#19 0xb6f34842 in KIO::TransferJob::slotMimetype (this=0xa7d0418, type=@0xbff94330) at /build/buildd/kde4libs-4.2.1a/kio/kio/job.cpp:1111
#20 0xb6f3f8dd in KIO::TransferJob::qt_metacall (this=0xa7d0418, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbff941ec) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/jobclasses.moc:339
#21 0xb5d19a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#22 0xb5d1a7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#23 0xb6ffaf23 in KIO::SlaveInterface::mimeType (this=0xaa893a0, _t1=@0xbff94330) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/slaveinterface.moc:265
#24 0xb6ffeb6c in KIO::SlaveInterface::dispatch (this=0xaa893a0, _cmd=21, rawdata=@0xbff94374) at /build/buildd/kde4libs-4.2.1a/kio/kio/slaveinterface.cpp:270
#25 0xb6ffb8e7 in KIO::SlaveInterface::dispatch (this=0xaa893a0) at /build/buildd/kde4libs-4.2.1a/kio/kio/slaveinterface.cpp:91
#26 0xb6febcad in KIO::Slave::gotInput (this=0xaa893a0) at /build/buildd/kde4libs-4.2.1a/kio/kio/slave.cpp:322
#27 0xb6fee203 in KIO::Slave::qt_metacall (this=0xaa893a0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbff94488) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/slave.moc:75
#28 0xb5d19a60 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#29 0xb5d1a7e2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#30 0xb6f03dc7 in KIO::Connection::readyRead (this=0xb51d410) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/connection.moc:84
#31 0xb6f05733 in KIO::ConnectionPrivate::dequeue (this=0xb10bc60) at /build/buildd/kde4libs-4.2.1a/kio/kio/connection.cpp:82
#32 0xb6f05b16 in KIO::Connection::qt_metacall (this=0xb51d410, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x9581ad0) at /build/buildd/kde4libs-4.2.1a/obj-i486-linux-gnu/kio/connection.moc:72
#33 0xb5d12bfb in QMetaCallEvent::placeMetaCall () from /usr/lib/libQtCore.so.4
#34 0xb5d14771 in QObject::event () from /usr/lib/libQtCore.so.4
#35 0xb61b78ec in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#36 0xb61bf72e in QApplication::notify () from /usr/lib/libQtGui.so.4
#37 0xb6cd110d in KApplication::notify (this=0xbff94c58, receiver=0xb51d410, event=0xb54f838) at /build/buildd/kde4libs-4.2.1a/kdeui/kernel/kapplication.cpp:307
#38 0xb5d04e61 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#39 0xb5d05ae5 in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
#40 0xb5d05cdd in QCoreApplication::sendPostedEvents () from /usr/lib/libQtCore.so.4
#41 0xb5d2f82f in ?? () from /usr/lib/libQtCore.so.4
#42 0xb4fe06f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#43 0xb4fe3da3 in ?? () from /usr/lib/libglib-2.0.so.0
#44 0xb4fe3f61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#45 0xb5d2f478 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#46 0xb6251ea5 in ?? () from /usr/lib/libQtGui.so.4
#47 0xb5d0352a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#48 0xb5d036ea in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#49 0xb5d05da5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#50 0xb61b7767 in QApplication::exec () from /usr/lib/libQtGui.so.4
#51 0x0804c072 in main (argc=1, argv=0xbff94f54) at /build/buildd/kdepim-4.2.1/kontact/src/main.cpp:218
Comment 4 Jonathan Thomas 2009-05-26 21:16:34 UTC
We received a report about this bug downstream at https://launchpad.net/bugs/335133 that was reported as happening with KDE 4.2.0.

.
Thread 1 (process 25465):
#0  Akregator::FrameManager::openUrl (this=0x85db900, request=@0x946e298)
    at /build/buildd/kdepim-4.2.0/akregator/src/framemanager.cpp:250
	frame = (class Akregator::Frame *) 0x0
#1  0xb31a7277 in Akregator::FrameManager::qt_metacall (this=0x85db900, 
    _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbffd932c)
    at /build/buildd/kdepim-4.2.0/obj-i486-linux-gnu/akregator/src/framemanager.moc:157
No locals.
#2  0xb614bc28 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#3  0xb614c8a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#4  0xb31953a3 in Akregator::BrowserRun::signalFoundMimeType (this=0x946e288, 
    _t1=@0x946e298)
    at /build/buildd/kdepim-4.2.0/obj-i486-linux-gnu/akregator/src/browserrun.moc:79
	_a = {0x0, 0x946e298}
#5  0xb319550c in Akregator::BrowserRun::foundMimeType (this=0x946e288, 
    type=@0xbffd93ec)
    at /build/buildd/kdepim-4.2.0/akregator/src/browserrun.cpp:49
	args = {d = {d = 0x9399018}}
#6  0xb74fe530 in KRun::mimeTypeDetermined (this=0x946e288, 
    mimeType=@0xbffd93ec)
    at /build/buildd/kde4libs-4.2.0/kio/kio/krun.cpp:1125
No locals.
#7  0xb809b3b7 in KParts::BrowserRun::slotBrowserMimetype (this=0x946e288, 
    _job=0x9599d70, type=@0xbffd97a0)
    at /build/buildd/kde4libs-4.2.0/kparts/browserrun.cpp:222
	suggestedFileName = {static null = {<No data fields>}, 
  static shared_null = {ref = {_q_value = 12525}, alloc = 0, size = 0, 
    data = 0x8055502, clean = 0, simpletext = 0, righttoleft = 0, 
    asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, 
  static shared_empty = {ref = {_q_value = 114}, alloc = 0, size = 0, 
    data = 0xb622aa6e, clean = 0, simpletext = 0, righttoleft = 0, 
    asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x80554f0, 
  static codecForCStrings = 0x0}
	_type = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 12525}, alloc = 0, size = 0, data = 0x8055502, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {
      _q_value = 114}, alloc = 0, size = 0, data = 0xb622aa6e, clean = 0, 
    simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, d = 0x8ac55b8, static codecForCStrings = 0x0}
	job = (class KIO::TransferJob *) 0x9599d70
	__PRETTY_FUNCTION__ = "void KParts::BrowserRun::slotBrowserMimetype(KIO::Job*, const QString&)"
#8  0xb809c67e in KParts::BrowserRun::qt_metacall (this=0x946e288, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbffd9538)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kparts/browserrun.moc:73
No locals.
#9  0xb31953ea in Akregator::BrowserRun::qt_metacall (this=0x946e288, 
    _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbffd9538)
    at /build/buildd/kdepim-4.2.0/obj-i486-linux-gnu/akregator/src/browserrun.moc:63
No locals.
#10 0xb614bc28 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb614c8a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#12 0xb7484b69 in KIO::TransferJob::mimetype (this=0x9599d70, _t1=0x9599d70, 
    _t2=@0xbffd97a0)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/jobclasses.moc:384
	_a = {0x0, 0xbffd9554, 0xbffd97a0}
#13 0xb7485672 in KIO::TransferJob::slotMimetype (this=0x9599d70, 
    type=@0xbffd97a0) at /build/buildd/kde4libs-4.2.0/kio/kio/job.cpp:1102
No locals.
#14 0xb74906ad in KIO::TransferJob::qt_metacall (this=0x9599d70, 
    _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbffd965c)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/jobclasses.moc:339
No locals.
#15 0xb614bc28 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#16 0xb614c8a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#17 0xb754b1f3 in KIO::SlaveInterface::mimeType (this=0x9180f18, 
    _t1=@0xbffd97a0)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/slaveinterface.moc:265
	_a = {0x0, 0xbffd97a0}
#18 0xb754ee3c in KIO::SlaveInterface::dispatch (this=0x9180f18, _cmd=21, 
    rawdata=@0xbffd97e4)
    at /build/buildd/kde4libs-4.2.0/kio/kio/slaveinterface.cpp:270
	d = (KIO::SlaveInterfacePrivate * const) 0x9180c90
	stream = <incomplete type>
	str1 = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 12525}, alloc = 0, size = 0, data = 0x8055502, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {
      _q_value = 114}, alloc = 0, size = 0, data = 0xb622aa6e, clean = 0, 
    simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, d = 0x8ac55b8, static codecForCStrings = 0x0}
	i = <value optimized out>
	b = <value optimized out>
	ul = <value optimized out>
	__PRETTY_FUNCTION__ = "virtual bool KIO::SlaveInterface::dispatch(int, const QByteArray&)"
#19 0xb754bbb7 in KIO::SlaveInterface::dispatch (this=0x9180f18)
    at /build/buildd/kde4libs-4.2.0/kio/kio/slaveinterface.cpp:91
	d = <value optimized out>
	cmd = 21
	data = {static shared_null = {ref = {_q_value = 2136}, alloc = 0, 
    size = 0, data = 0x8055548 "", array = ""}, static shared_empty = {ref = {
      _q_value = 127}, alloc = 0, size = 0, data = 0xb622a998 "", 
    array = ""}, d = 0x9459de8}
	ret = 149420552
#20 0xb753bf7d in KIO::Slave::gotInput (this=0x9180f18)
    at /build/buildd/kde4libs-4.2.0/kio/kio/slave.cpp:322
	__PRETTY_FUNCTION__ = "void KIO::Slave::gotInput()"
#21 0xb753e4d3 in KIO::Slave::qt_metacall (this=0x9180f18, 
    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbffd98f8)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/slave.moc:75
No locals.
#22 0xb614bc28 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#23 0xb614c8a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#24 0xb7454be7 in KIO::Connection::readyRead (this=0x9176cf8)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/connection.moc:84
No locals.
#25 0xb7456553 in KIO::ConnectionPrivate::dequeue (this=0x9180dd0)
    at /build/buildd/kde4libs-4.2.0/kio/kio/connection.cpp:82
No locals.
#26 0xb7456936 in KIO::Connection::qt_metacall (this=0x9176cf8, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x908b038)
    at /build/buildd/kde4libs-4.2.0/obj-i486-linux-gnu/kio/connection.moc:72
No locals.
#27 0xb614487b in QMetaCallEvent::placeMetaCall ()
   from /usr/lib/libQtCore.so.4
#28 0xb6146320 in QObject::event () from /usr/lib/libQtCore.so.4
#29 0xb660561c in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#30 0xb660d91e in QApplication::notify () from /usr/lib/libQtGui.so.4
#31 0xb722207d in KApplication::notify (this=0xbffda080, receiver=0x9176cf8, 
    event=0x91486d8)
    at /build/buildd/kde4libs-4.2.0/kdeui/kernel/kapplication.cpp:307
No locals.
#32 0xb61359cb in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#33 0xb6136625 in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#34 0xb613681d in QCoreApplication::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#35 0xb616175f in ?? () from /usr/lib/libQtCore.so.4
#36 0xb4e58af8 in IA__g_main_context_dispatch (context=0x85d4e98)
    at /build/buildd/glib2.0-2.19.8/glib/gmain.c:1814
No locals.
#37 0xb4e5c05b in g_main_context_iterate (context=0x85d4e98, block=1, 
    dispatch=1, self=0x85d39d0)
    at /build/buildd/glib2.0-2.19.8/glib/gmain.c:2448
	max_priority = 0
	timeout = 0
	some_ready = 1
	nfds = 16
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8da7698
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#38 0xb4e5c1d8 in IA__g_main_context_iteration (context=0x85d4e98, 
    may_block=1) at /build/buildd/glib2.0-2.19.8/glib/gmain.c:2511
	retval = <value optimized out>
#39 0xb61613a8 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#40 0xb66a6a55 in ?? () from /usr/lib/libQtGui.so.4
#41 0xb6133ffa in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#42 0xb613443a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#43 0xb61368e9 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#44 0xb6605497 in QApplication::exec () from /usr/lib/libQtGui.so.4
#45 0x0804ed41 in main (argc=0, argv=0x89053d0)
    at /build/buildd/kdepim-4.2.0/akregator/src/main.cpp:115
	about = {<KAboutData> = {d = 0x85b3220}, <No data fields>}
	app = {<KPIM::PimApplication> = {<KUniqueApplication> = {<KApplication> = {<> = {<No data fields>}, static staticMetaObject = {d = {
            superdata = 0xb6e90268, stringdata = 0xb739c080 "KApplication", 
            data = 0xb739c220, extradata = 0x0}}, 
        static loadedByKdeinit = false, static KApp = 0xbffda080, 
        d = 0x860d020}, static staticMetaObject = {d = {
          superdata = 0xb73c3ca0, 
          stringdata = 0xb739ca20 "KUniqueApplication", data = 0xb739cb20, 
          extradata = 0x0}}, d = 0x8676b30}, <No data fields>}, 
  mMainWindow = 0x867c988}
Comment 5 Christophe Giboudeaux 2009-07-23 21:25:53 UTC
*** Bug 201280 has been marked as a duplicate of this bug. ***
Comment 6 Christophe Giboudeaux 2009-10-09 09:15:01 UTC
*** Bug 209942 has been marked as a duplicate of this bug. ***
Comment 7 Denis Kurz 2016-09-24 19:39:03 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of akregator (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 8 E. Kastelijn 2016-11-05 07:08:23 UTC
Hi, 

I think I agree.
I registered bug #201280 as a duplicate of this bug in 2009.
Then (and now) I am unable to reproduce the problem.

kind regards,

   Egon
Comment 9 Denis Kurz 2017-01-08 00:09:40 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.